commoble.exmachina.circuit

## Class WorldCircuitManager

- java.lang.Object
- - commoble.exmachina.circuit.WorldCircuitManager

All Implemented Interfaces:
  commoble.exmachina.api.CircuitManager, net.minecraftforge.common.capabilities.ICapabilityProvider

    public class WorldCircuitManager
    extends java.lang.Object
    implements commoble.exmachina.api.CircuitManager, net.minecraftforge.common.capabilities.ICapabilityProvider

### Field Summary

Fields
`static java.util.Optional<commoble.exmachina.api.Circuit>` `EMPTY_CIRCUIT`
`net.minecraftforge.common.util.LazyOptional<commoble.exmachina.api.CircuitManager>` `holder`

### Constructor Summary

Constructors
Constructor and Description
`WorldCircuitManager(net.minecraft.world.World world)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> net.minecraftforge.common.util.LazyOptional<T>` `getCapability(net.minecraftforge.common.capabilities.Capability<T> cap, net.minecraft.util.Direction side)`
`java.util.Optional<commoble.exmachina.api.Circuit>` `getCircuit(net.minecraft.util.math.BlockPos pos)`
`void` `invalidateCircuit(net.minecraft.util.math.BlockPos pos)`
`void` `onBlockUpdate(net.minecraft.block.BlockState newState, net.minecraft.util.math.BlockPos updatedPos)`
`void` `onCapabilityInvalidated()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraftforge.common.capabilities.ICapabilityProvider

`getCapability`

### Field Detail

#### EMPTY_CIRCUIT

    public static final java.util.Optional<commoble.exmachina.api.Circuit> EMPTY_CIRCUIT

#### holder

    public final net.minecraftforge.common.util.LazyOptional<commoble.exmachina.api.CircuitManager> holder

### Constructor Detail

#### WorldCircuitManager

    public WorldCircuitManager(net.minecraft.world.World world)

### Method Detail

#### getCapability

    public <T> net.minecraftforge.common.util.LazyOptional<T> getCapability(net.minecraftforge.common.capabilities.Capability<T> cap,
                                                                            net.minecraft.util.Direction side)

Specified by:
  `getCapability` in interface `net.minecraftforge.common.capabilities.ICapabilityProvider`

#### getCircuit

    public java.util.Optional<commoble.exmachina.api.Circuit> getCircuit(net.minecraft.util.math.BlockPos pos)

Specified by:
  `getCircuit` in interface `commoble.exmachina.api.CircuitManager`

#### onBlockUpdate

    public void onBlockUpdate(net.minecraft.block.BlockState newState,
                              net.minecraft.util.math.BlockPos updatedPos)

Specified by:
  `onBlockUpdate` in interface `commoble.exmachina.api.CircuitManager`

#### onCapabilityInvalidated

    public void onCapabilityInvalidated()

#### invalidateCircuit

    public void invalidateCircuit(net.minecraft.util.math.BlockPos pos)

Specified by:
  `invalidateCircuit` in interface `commoble.exmachina.api.CircuitManager`